Page MenuHomePhabricator

Reallocate dbproxy1020 and dbproxy1021 from row D to row C
Closed, ResolvedPublic

Description

Hello,

In order to have row redundancy, can we move the following hosts from D6 into row C (different racks if possible):

dbproxy1020
dbproxy1021

They are on the private VLAN.

They are currently not in use, so they can be moved anytime. If possible, please provide the new IP before moving them, so I can change it on its OS so once they are powered off and then ON they'll show up with the new IP and become reachable straightaway.

Thanks.

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptJul 22 2019, 8:17 AM
Peachey88 updated the task description. (Show Details)Jul 22 2019, 9:13 AM

Received your request to move these servers. Please expect this to be completed NLT than 16 August 2019.

Cmjohnson moved this task from Backlog to Racking Tasks on the ops-eqiad board.Jul 22 2019, 2:29 PM

@Cmjohnson lovely - thank you!

@Marostegui do these need to be in the same rack or separate racks? 1G space is limited to racks C5 and C8. C5 currently has a couple of dbproxy servers.

Separate if possible. If it is really not possible then same rack it is also ok

Change 525482 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Allow reimage dbproxy1020,dbproxy1021

https://gerrit.wikimedia.org/r/525482

Change 525482 merged by Marostegui:
[operations/puppet@production] install_server: Allow reimage dbproxy1020,dbproxy1021

https://gerrit.wikimedia.org/r/525482

@Cmjohnson As we spoke yesterday, I have added an install recipe for these hosts, so they can be re-imaged.
Once you've committed the DNS repo change, assign this task back to me so I can re-image the hosts
Thanks!

Change 525564 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Updating production dns for dbproxy1020/1021

https://gerrit.wikimedia.org/r/525564

Change 525564 merged by Cmjohnson:
[operations/dns@master] Updating production dns for dbproxy1020/1021

https://gerrit.wikimedia.org/r/525564

Cmjohnson closed this task as Resolved.Jul 25 2019, 3:35 PM

This has been completed, resolving this task

  • Removed both servers from Row D
  • Placed DBP1020 in C5 and DBP1021 in C8
  • Removed network configuration row D
  • Added network configuration row C
  • Updated DNS file to row C private vlan

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy1020.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201907251621_marostegui_136403.log.

Completed auto-reimage of hosts:

['dbproxy1020.eqiad.wmnet']

and were ALL successful.

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy1021.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201907251640_marostegui_140803.log.

Completed auto-reimage of hosts:

['dbproxy1021.eqiad.wmnet']

and were ALL successful.

Both hosts re-imaged. Thanks!